### Method

# ECal Component commit_sequence

since: 3.34

#### Declaration [src]

    void
    e_cal_component_commit_sequence (
      ECalComponent* comp
    )

#### Description [src]

Increments the sequence number property in a calendar component object if it needs it. This needs to be done when any of a number of properties listed in RFC 2445 change values, such as the start and end dates of a component.

This function must be called before calling `e_cal_component_get_as_string()` to ensure that the component is fully consistent.

Available since: 3.34